Skip to content

Create Corporate

POST
/policyholders/corporates

Register a new corporate client (policyholder). Required fields: name, email, phoneNumber, taxPayerId (TPIN). The returned id is used when creating quotations.

Authorizations

BearerAuth
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"email": "string",
  
"bankDetail": {
  
  
"name": "string",
  
  
"branch": "string",
  
  
"accountNumber": "string",
  
  
"swiftCode": "string",
  
  
"accountName": "string"
  
},
  
"phoneNumber": "string",
  
"physicalAddress": "string",
  
"name": "string",
  
"taxPayerId": "string",
  
"postalAddress": "string",
  
"registrationNumber": "string",
  
"contactPerson": "string",
  
"contactPersonPhoneNumber": "string",
  
"insurerId": "string",
  
"partnerId": "string",
  
"intermediaryId": "string",
  
"password": "string"
}

Responses

Corporate policyholder created

application/json
JSON
{
  
"id": "string",
  
"email": "string",
  
"phoneNumber": "string",
  
"physicalAddress": "string",
  
"name": "string",
  
"taxPayerId": "string",
  
"postalAddress": "string",
  
"registrationNumber": "string",
  
"contactPerson": "string",
  
"contactPersonPhoneNumber": "string",
  
"type": "string",
  
"status": "string",
  
"createdAt": "string"
}

Playground

Authorization
Body

Samples

Built with ❤️ by Hobbiton Technologies